/*
	File:		ActionHandlerCBGlue.c

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 7/19/93	KBA		Changing RegisterAction to RegisterScriptAction.
		 <1>	  7/9/93	KBA		first checked in

*/



void RegisterScriptAction( 	CallBackProcPtr	pCallBackProcPtr,
							short			actionClassID,
							short			actionIdentifier,
							void*			param0,
							void*			param1,
							void*			param2,
							void*			param3,
							void*			resultPtr  )
{
	CallBackPBRec	theCallBackPBRec;
	
	theCallBackPBRec.fSelector = 33;
	theCallBackPBRec.fParam[0] = (long)actionClassID;
	theCallBackPBRec.fParam[1] = (long)actionIdentifier;
	theCallBackPBRec.fParam[2] = (long)param0;
	theCallBackPBRec.fParam[3] = (long)param1;
	theCallBackPBRec.fParam[4] = (long)param2;
	theCallBackPBRec.fParam[5] = (long)param3;
	theCallBackPBRec.fParam[6] = (long)resultPtr;
	(**pCallBackProcPtr)( &theCallBackPBRec );
}	
	
